%define module_name Task-POE-All
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(POE/API/Hooks.pm) perl(POE/API/Peek.pm) perl(POE/Component/AI/MegaHAL.pm) perl(POE/Component/AIO.pm) perl(POE/Component/Algorithm/Evolutionary.pm) perl(POE/Component/Amazon/S3.pm) perl(POE/Component/Archive/Any.pm) perl(POE/Component/AssaultCube/ServerQuery/Server.pm) perl(POE/Component/AtomAggregator.pm) perl(POE/Component/Basement.pm) perl(POE/Component/BlogCloud.pm) perl(POE/Component/Bundle/WebDevelopment.pm) perl(POE/Component/CD/Detect.pm) perl(POE/Component/CD/Rip.pm) perl(POE/Component/CPAN/Mirror/Multiplexer.pm) perl(POE/Component/CPAN/Reporter.pm) perl(POE/Component/CPAN/SQLite/Info.pm) perl(POE/Component/CPAN/YACSmoke.pm) perl(POE/Component/CPANIDX.pm)
BuildRequires: perl(POE/Component/CPANPLUS/YACSmoke.pm) perl(POE/Component/Cache.pm) perl(POE/Component/Captcha/reCAPTCHA.pm) perl(POE/Component/Child.pm) perl(POE/Component/Client/AMQP.pm) perl(POE/Component/Client/AirTunes.pm) perl(POE/Component/Client/Asterisk/Manager.pm) perl(POE/Component/Client/BigBrother.pm) perl(POE/Component/Client/CouchDB.pm) perl(POE/Component/Client/DNS.pm) perl(POE/Component/Client/DNS/Recursive.pm) perl(POE/Component/Client/DNSBL.pm) perl(POE/Component/Client/FTP.pm) perl(POE/Component/Client/Feed.pm) perl(POE/Component/Client/HTTP.pm) perl(POE/Component/Client/HTTPDeferred.pm) perl(POE/Component/Client/Halo.pm) perl(POE/Component/Client/Icecast.pm) perl(POE/Component/Client/Ident.pm) perl(POE/Component/Client/Keepalive.pm) perl(POE/Component/Client/LDAP.pm) perl(POE/Component/Client/Lingr.pm)
BuildRequires: perl(POE/Component/Client/MPD.pm) perl(POE/Component/Client/MSN.pm) perl(POE/Component/Client/MogileFS.pm) perl(POE/Component/Client/NNTP.pm) perl(POE/Component/Client/NNTP/Tail.pm) perl(POE/Component/Client/NRPE.pm) perl(POE/Component/Client/NSCA.pm) perl(POE/Component/Client/NTP.pm) perl(POE/Component/Client/POP3.pm) perl(POE/Component/Client/Pastebot.pm) perl(POE/Component/Client/Ping.pm) perl(POE/Component/Client/RADIUS.pm) perl(POE/Component/Client/Rcon.pm) perl(POE/Component/Client/SMTP.pm) perl(POE/Component/Client/SOCKS.pm) perl(POE/Component/Client/SimpleFTP.pm) perl(POE/Component/Client/Stomp.pm) perl(POE/Component/Client/Stomp/Utils.pm) perl(POE/Component/Client/TCPMulti.pm) perl(POE/Component/Client/Telnet.pm) perl(POE/Component/Client/Traceroute.pm) perl(POE/Component/Client/Twitter.pm)
BuildRequires: perl(POE/Component/Client/UserAgent.pm) perl(POE/Component/Client/Whois.pm) perl(POE/Component/Client/Whois/Smart.pm) perl(POE/Component/Client/eris.pm) perl(POE/Component/Client/opentick.pm) perl(POE/Component/Cron.pm) perl(POE/Component/Curl/Multi.pm) perl(POE/Component/Curses.pm) perl(POE/Component/DBIAgent.pm) perl(POE/Component/DHCP/Monitor.pm) perl(POE/Component/Daemon.pm) perl(POE/Component/DebugShell.pm) perl(POE/Component/DirWatch.pm) perl(POE/Component/DirWatch/Object.pm) perl(POE/Component/EasyDBI.pm) perl(POE/Component/Enc/Flac.pm) perl(POE/Component/Enc/Mp3.pm) perl(POE/Component/Enc/Ogg.pm) perl(POE/Component/FastCGI.pm) perl(POE/Component/FeedAggregator.pm) perl(POE/Component/Fuse.pm)
BuildRequires: perl(POE/Component/Gearman/Client.pm) perl(POE/Component/Generic.pm) perl(POE/Component/Github.pm) perl(POE/Component/Hailo.pm) perl(POE/Component/ICal.pm) perl(POE/Component/IKC.pm) perl(POE/Component/IRC.pm) perl(POE/Component/IRC/Object.pm) perl(POE/Component/IRC/Plugin/BaseWrap.pm) perl(POE/Component/IRC/Plugin/Blowfish.pm) perl(POE/Component/IRC/Plugin/Bollocks.pm) perl(POE/Component/IRC/Plugin/CPAN/Info.pm) perl(POE/Component/IRC/Plugin/CoreList.pm) perl(POE/Component/IRC/Plugin/Donuts.pm) perl(POE/Component/IRC/Plugin/Eval.pm) perl(POE/Component/IRC/Plugin/FTP/EasyUpload.pm) perl(POE/Component/IRC/Plugin/Google/Calculator.pm) perl(POE/Component/IRC/Plugin/Hailo.pm) perl(POE/Component/IRC/Plugin/Hello.pm) perl(POE/Component/IRC/Plugin/IRCDHelp.pm)
BuildRequires: perl(POE/Component/IRC/Plugin/Infobot.pm) perl(POE/Component/IRC/Plugin/Karma.pm) perl(POE/Component/IRC/Plugin/Logger/Irssi.pm) perl(POE/Component/IRC/Plugin/MegaHAL.pm) perl(POE/Component/IRC/Plugin/MultiProxy.pm) perl(POE/Component/IRC/Plugin/OutputToPastebin.pm) perl(POE/Component/IRC/Plugin/POE/Knee.pm) perl(POE/Component/IRC/Plugin/QueryDNS.pm) perl(POE/Component/IRC/Plugin/QueryDNSBL.pm) perl(POE/Component/IRC/Plugin/RSS/Headlines.pm) perl(POE/Component/IRC/Plugin/RTorrentStatus.pm) perl(POE/Component/IRC/Plugin/Role.pm) perl(POE/Component/IRC/Plugin/Seen.pm) perl(POE/Component/IRC/Plugin/Trac/RSS.pm) perl(POE/Component/IRC/Plugin/URI/Find.pm) perl(POE/Component/IRC/Plugin/Unicode/UCD.pm) perl(POE/Component/IRC/Plugin/WWW/CPANRatings/RSS.pm) perl(POE/Component/IRC/Plugin/WWW/Google/Time.pm)
BuildRequires: perl(POE/Component/IRC/Plugin/WWW/KrispyKreme/HotLight.pm) perl(POE/Component/IRC/Plugin/WWW/OhNoRobotCom/Search.pm) perl(POE/Component/IRC/Plugin/WWW/Reddit/TIL.pm) perl(POE/Component/IRC/Plugin/WWW/Vim/Tips.pm) perl(POE/Component/IRC/Plugin/WWW/Weather/US.pm) perl(POE/Component/IRC/Plugin/WWW/XKCD/AsText.pm) perl(POE/Component/IRC/Plugin/WubWubWub.pm) perl(POE/Component/IRC/PluginBundle/Toys.pm) perl(POE/Component/IRC/Service.pm) perl(POE/Component/Jabber.pm) perl(POE/Component/JobQueue.pm) perl(POE/Component/LaDBI.pm) perl(POE/Component/Lingua/Translate.pm) perl(POE/Component/Log4perl.pm) perl(POE/Component/Logger.pm) perl(POE/Component/MXML.pm) perl(POE/Component/MessageQueue.pm) perl(POE/Component/Metabase/Client/Submit.pm)
BuildRequires: perl(POE/Component/Metabase/Relay/Server.pm) perl(POE/Component/Net/FTP.pm) perl(POE/Component/Net/LastFM/Submission.pm) perl(POE/Component/NetSNMP/agent.pm) perl(POE/Component/NonBlockingWrapper/Base.pm) perl(POE/Component/OSCAR.pm) perl(POE/Component/Omegle.pm) perl(POE/Component/OpenSSH.pm) perl(POE/Component/Pastebin/Create.pm) perl(POE/Component/Pcap.pm) perl(POE/Component/Player/Mpg123.pm) perl(POE/Component/Player/Musicus.pm) perl(POE/Component/Player/Slideshow.pm) perl(POE/Component/Player/Xmms.pm) perl(POE/Component/Pluggable.pm) perl(POE/Component/PluginManager.pm) perl(POE/Component/Pool/DBI.pm) perl(POE/Component/Pool/Thread.pm) perl(POE/Component/PreforkDispatch.pm) perl(POE/Component/ProcTerminator.pm) perl(POE/Component/Proxy/MySQL.pm) perl(POE/Component/Proxy/SOCKS.pm)
BuildRequires: perl(POE/Component/Proxy/TCP.pm) perl(POE/Component/RSS.pm) perl(POE/Component/RSSAggregator.pm) perl(POE/Component/RemoteTail.pm) perl(POE/Component/Rendezvous/Publish.pm) perl(POE/Component/Resolver.pm) perl(POE/Component/ResourcePool.pm) perl(POE/Component/ResourcePool/Resource/TokenBucket.pm) perl(POE/Component/SASLAuthd.pm) perl(POE/Component/SNMP.pm) perl(POE/Component/SNMP/Session.pm) perl(POE/Component/SSLify.pm) perl(POE/Component/SSLify/NonBlock.pm) perl(POE/Component/Schedule.pm) perl(POE/Component/Sequence.pm) perl(POE/Component/Server/AsyncEndpoint.pm) perl(POE/Component/Server/Bayeux.pm) perl(POE/Component/Server/BigBrother.pm) perl(POE/Component/Server/Chargen.pm) perl(POE/Component/Server/DNS.pm) perl(POE/Component/Server/Daytime.pm) perl(POE/Component/Server/Discard.pm) perl(POE/Component/Server/Echo.pm)
BuildRequires: perl(POE/Component/Server/FTP.pm) perl(POE/Component/Server/HTTP.pm) perl(POE/Component/Server/HTTP/KeepAlive.pm) perl(POE/Component/Server/HTTPServer.pm) perl(POE/Component/Server/IRC.pm) perl(POE/Component/Server/Ident.pm) perl(POE/Component/Server/Inet.pm) perl(POE/Component/Server/JSONRPC.pm) perl(POE/Component/Server/MySQL.pm) perl(POE/Component/Server/NNTP.pm) perl(POE/Component/Server/NRPE.pm) perl(POE/Component/Server/NSCA.pm) perl(POE/Component/Server/POP3.pm) perl(POE/Component/Server/Postfix.pm) perl(POE/Component/Server/PreforkTCP.pm) perl(POE/Component/Server/Qotd.pm) perl(POE/Component/Server/RADIUS.pm) perl(POE/Component/Server/SMTP.pm) perl(POE/Component/Server/SOAP.pm) perl(POE/Component/Server/SimpleContent.pm) perl(POE/Component/Server/SimpleHTTP.pm)
BuildRequires: perl(POE/Component/Server/SimpleHTTP/PreFork.pm) perl(POE/Component/Server/SimpleSMTP.pm) perl(POE/Component/Server/SimpleXMLRPC.pm) perl(POE/Component/Server/Syslog.pm) perl(POE/Component/Server/TCP.pm) perl(POE/Component/Server/TacacsPlus.pm) perl(POE/Component/Server/Time.pm) perl(POE/Component/Server/Twirc.pm) perl(POE/Component/Server/XMLRPC.pm) perl(POE/Component/Server/eris.pm) perl(POE/Component/SimpleDBI.pm) perl(POE/Component/SimpleLog.pm) perl(POE/Component/SmokeBox.pm) perl(POE/Component/SmokeBox/Backend/Test/SmokeBox/Mini.pm) perl(POE/Component/SmokeBox/Dists.pm) perl(POE/Component/SmokeBox/Recent.pm) perl(POE/Component/SmokeBox/Uploads/CPAN/Mini.pm) perl(POE/Component/SmokeBox/Uploads/NNTP.pm) perl(POE/Component/SmokeBox/Uploads/RSS.pm) perl(POE/Component/SmokeBox/Uploads/Rsync.pm)
BuildRequires: perl(POE/Component/SubWrapper.pm) perl(POE/Component/Supervisor.pm) perl(POE/Component/Syndicator.pm) perl(POE/Component/TFTPd.pm) perl(POE/Component/TSTP.pm) perl(POE/Component/Telephony/CTPort.pm) perl(POE/Component/UserBase.pm) perl(POE/Component/WWW/CPANRatings/RSS.pm) perl(POE/Component/WWW/DoingItWrongCom/RandImage.pm) perl(POE/Component/WWW/Google/Calculator.pm) perl(POE/Component/WWW/Google/Time.pm) perl(POE/Component/WWW/OhNoRobotCom/Search.pm) perl(POE/Component/WWW/Pastebin/Bot/Pastebot/Create.pm) perl(POE/Component/WWW/Shorten.pm) perl(POE/Component/WWW/XKCD/AsText.pm) perl(POE/Component/WakeOnLAN.pm)
BuildRequires: perl(POE/Component/XUL.pm) perl(POE/Component/YahooMessenger.pm) perl(POE/Component/YubiAuth.pm) perl(POE/Declarative.pm) perl(POE/Devel/Benchmarker.pm) perl(POE/Devel/ProcAlike.pm) perl(POE/Devel/Profiler.pm) perl(POE/Devel/Top.pm) perl(POE/Event/Message.pm) perl(POE/Filter/BigBrother.pm) perl(POE/Filter/Bzip2.pm) perl(POE/Filter/CSV.pm) perl(POE/Filter/CSV_XS.pm) perl(POE/Filter/DHCPd/Lease.pm) perl(POE/Filter/DNS/TCP.pm) perl(POE/Filter/ErrorProof.pm) perl(POE/Filter/FSSocket.pm) perl(POE/Filter/Finger.pm) perl(POE/Filter/HTTP/Parser.pm) perl(POE/Filter/HTTPD/Chunked.pm) perl(POE/Filter/Hessian.pm) perl(POE/Filter/IASLog.pm)
BuildRequires: perl(POE/Filter/IRCD.pm) perl(POE/Filter/IRCv3.pm) perl(POE/Filter/JSON.pm) perl(POE/Filter/JSON/Incr.pm) perl(POE/Filter/KennySpeak.pm) perl(POE/Filter/LOLCAT.pm) perl(POE/Filter/LZF.pm) perl(POE/Filter/LZO.pm) perl(POE/Filter/LZW.pm) perl(POE/Filter/LZW/Progressive.pm) perl(POE/Filter/Log/IPTables.pm) perl(POE/Filter/Log/Procmail.pm) perl(POE/Filter/Ls.pm) perl(POE/Filter/PPPHDLC.pm) perl(POE/Filter/ParseWords.pm) perl(POE/Filter/Postfix.pm) perl(POE/Filter/RecDescent.pm) perl(POE/Filter/Redis.pm) perl(POE/Filter/Regexp.pm) perl(POE/Filter/SSL.pm) perl(POE/Filter/SimpleHTTP.pm) perl(POE/Filter/Slim/CLI.pm) perl(POE/Filter/Snort.pm) perl(POE/Filter/Stomp.pm) perl(POE/Filter/Transparent/SMTP.pm) perl(POE/Filter/XML.pm) perl(POE/Filter/XML/RPC.pm) perl(POE/Filter/Zlib.pm)
BuildRequires: perl(POE/Future.pm) perl(POE/Loop/AnyEvent.pm) perl(POE/Loop/EV.pm) perl(POE/Loop/Event.pm) perl(POE/Loop/Glib.pm) perl(POE/Loop/Gtk.pm) perl(POE/Loop/IO_Async.pm) perl(POE/Loop/Prima.pm) perl(POE/Loop/Tk.pm) perl(POE/Quickie.pm) perl(POE/Session/Attribute.pm) perl(POE/Session/AttributeBased.pm) perl(POE/Session/GladeXML2.pm) perl(POE/Session/Irssi.pm) perl(POE/Session/MessageBased.pm) perl(POE/Session/MultiDispatch.pm) perl(POE/Session/Multiplex.pm) perl(POE/Session/PlainCall.pm) perl(POE/Session/YieldCC.pm) perl(POE/Stage.pm) perl(POE/Sugar/Args.pm) perl(POE/Sugar/Attributes.pm) perl(POE/TIKC.pm) perl(POE/Test/Helpers.pm) perl(POE/Test/Loops.pm) perl(POE/Wheel/GnuPG.pm) perl(POE/Wheel/Null.pm)
BuildRequires: perl(POE/Wheel/Sendfile.pm) perl(POE/Wheel/UDP.pm) perl(POE/Wheel/VimColor.pm) perl(POE/XS/Loop/EPoll.pm) perl(POE/XS/Loop/Poll.pm) perl(POE/XS/Queue/Array.pm) perl(POE/XUL/Javascript.pm) perl(POE/strict.pm) perl(POEx/HTTP/Server.pm) perl(POEx/IRC/Backend.pm) perl(POEx/IRC/Client/Lite.pm) perl(POEx/Inotify.pm) perl(POEx/URI.pm) perl(Test/More.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.102
Release: alt1
Summary: Installs all of the modules in the POE::* namespace
Group: Development/Perl
License: perl
URL: https://github.com/apocalypse/perl-poe-taskall

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AP/APOCAL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE CommitLog AUTHOR_PLEDGE README examples
%perl_vendor_privlib/T*

%changelog
* Sun Feb 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.102-alt1
- updated by package builder

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 1.02-alt1
- initial import by package builder

